/// <reference types="react" />
declare type Props = {
    /**
     * Technical property for identification in test.
     */
    testid?: string;
    /**
     * What to display as the text of the button.
     */
    text: string;
    /**
     * Label is not displayed, but should contain aria information.
     */
    label: string;
    /**
     * Click handler
     */
    onClick: () => void;
    /**
     * Optional indicator whether something triggered by the button is still running
     */
    inProgress?: boolean;
    /**
     * Layout option for wide display
     */
    flat?: boolean;
};
/**
 * Accessible and testable button
 */
export declare function AriaButton({ testid, label, text, onClick, inProgress, flat, }: Props): JSX.Element;
export {};
//# sourceMappingURL=AriaButton.d.ts.map