'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var jsxRuntime = require('react/jsx-runtime');

var styles$1 = {"button":"AriaButton-module_button__2nCm9"};

/**
 * Accessible and testable button
 */
function AriaButton({ testid, label, text, onClick, inProgress = false, flat = false, }) {
    return (jsxRuntime.jsx("button", Object.assign({ "data-testid": testid, className: `
      ${styles$1.button}
      bg-gray-100 border-2 border-gray-900
      hover:border-gray-500 hover:bg-gray-200 
      active:border-gray-200 active:bg-gray-400 
      px-2 py-2 ${flat ? "w-100" : "w-20"} mx-2 my-2 ${inProgress ? "animate-spin" : ""}`, "aria-label": label, onClick: onClick }, { children: text }), void 0));
}

function FlexContainer({ children, center = false }) {
    return (jsxRuntime.jsx("div", Object.assign({ className: `
      flex ${center ? "justify-center" : "justify-between"} border-gray-900 border-2 m-2 overflow-hidden` }, { children: children }), void 0));
}

var styles = {"bg":"LoadingIndicator-module_bg__3imhU"};

function LoadingIndicator({ title }) {
    return (jsxRuntime.jsx("h1", Object.assign({ className: styles.bg }, { children: title }), void 0));
}

function sayHi(name) {
    return `Hello, ${name}`;
}

exports.AriaButton = AriaButton;
exports.FlexContainer = FlexContainer;
exports.LoadingIndicator = LoadingIndicator;
exports.sayHi = sayHi;
//# sourceMappingURL=index.cjs.js.map
